RDKit::Descriptors Namespace Reference

## Namespaces

| detail

## Classes

class | CrippenParamCollection
| singleton class for retrieving Crippen parameters More...
class | CrippenParams
| a class used to store Crippen parameters More...

## Enumerations

enum | NumRotatableBondsOptions { Default = -1, NonStrict = 0, Strict = 1, StrictLinkages = 2 }

## Functions

double | calcChi0v (const ROMol &mol, bool force=false)
| From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991) More...
double | calcChi1v (const ROMol &mol, bool force=false)
| From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991) More...
double | calcChi2v (const ROMol &mol, bool force=false)
| From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991) More...
double | calcChi3v (const ROMol &mol, bool force=false)
| From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991) More...
double | calcChi4v (const ROMol &mol, bool force=false)
| From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991) More...
double | calcChiNv (const ROMol &mol, unsigned int n, bool force=false)
| From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991) More...
double | calcChi0n (const ROMol &mol, bool force=false)
double | calcChi1n (const ROMol &mol, bool force=false)
double | calcChi2n (const ROMol &mol, bool force=false)
double | calcChi3n (const ROMol &mol, bool force=false)
double | calcChi4n (const ROMol &mol, bool force=false)
double | calcChiNn (const ROMol &mol, unsigned int n, bool force=false)
double | calcHallKierAlpha (const ROMol &mol, std::vector< double > *atomContribs=0)
double | calcKappa1 (const ROMol &mol)
double | calcKappa2 (const ROMol &mol)
double | calcKappa3 (const ROMol &mol)
void | getCrippenAtomContribs (const ROMol &mol, std::vector< double > &logpContribs, std::vector< double > &mrContribs, bool force=false, std::vector< unsigned int > *atomTypes=0, std::vector< std::string > *atomTypeLabels=0)
void | calcCrippenDescriptors (const ROMol &mol, double &logp, double &mr, bool includeHs=true, bool force=false)
| generate Wildman-Crippen LogP and MR estimates for a molecule More...
unsigned int | calcLipinskiHBA (const ROMol &mol)
| calculates the standard Lipinski HBA definition (number of Ns and Os) More...
unsigned int | calcLipinskiHBD (const ROMol &mol)
| calculates the standard Lipinski HBA definition (number of N-H and O-H More...
unsigned int | calcNumRotatableBonds (const ROMol &mol, NumRotatableBondsOptions useStrictDefinition=Default)
| calculates the number of rotatable bonds More...
unsigned int | calcNumRotatableBonds (const ROMol &mol, bool strict)
unsigned int | calcNumHBD (const ROMol &mol)
| calculates the number of H-bond donors More...
unsigned int | calcNumHBA (const ROMol &mol)
| calculates the number of H-bond acceptors More...
unsigned int | calcNumHeteroatoms (const ROMol &mol)
| calculates the number of heteroatoms More...
unsigned int | calcNumAmideBonds (const ROMol &mol)
| calculates the number of amide bonds More...
double | calcFractionCSP3 (const ROMol &mol)
| calculates the fraction of carbons that are SP3 hybridized More...
unsigned int | calcNumRings (const ROMol &mol)
| calculates the number of SSSR rings More...
unsigned int | calcNumAromaticRings (const ROMol &mol)
| calculates the number of aromatic SSSR rings More...
unsigned int | calcNumAliphaticRings (const ROMol &mol)
| calculates the number of aliphatic (at least one non-aromatic bond) SSSR More...
unsigned int | calcNumSaturatedRings (const ROMol &mol)
| calculates the number of saturated SSSR rings More...
unsigned int | calcNumHeterocycles (const ROMol &mol)
| calculates the number of SSSR heterocycles More...
unsigned int | calcNumAromaticHeterocycles (const ROMol &mol)
| calculates the number of aromatic SSSR heterocycles More...
unsigned int | calcNumAromaticCarbocycles (const ROMol &mol)
| calculates the number of aromatic SSSR carbocycles More...
unsigned int | calcNumSaturatedHeterocycles (const ROMol &mol)
| calculates the number of saturated SSSR heterocycles More...
unsigned int | calcNumSaturatedCarbocycles (const ROMol &mol)
| calculates the number of saturated SSSR carbocycles More...
unsigned int | calcNumAliphaticHeterocycles (const ROMol &mol)
| calculates the number of aliphatic (at least one non-aromatic bond) SSSR More...
unsigned int | calcNumAliphaticCarbocycles (const ROMol &mol)
| calculates the number of aliphatic (at least one non-aromatic bond) SSSR More...
unsigned int | calcNumSpiroAtoms (const ROMol &mol, std::vector< unsigned int > *atoms=NULL)
| calculates the number of spiro atoms (atoms shared between rings that share More...
unsigned int | calcNumBridgeheadAtoms (const ROMol &mol, std::vector< unsigned int > *atoms=NULL)
| calculates the number of bridgehead atoms (atoms shared between rings that More...
double | calcAMW (const ROMol &mol, bool onlyHeavy=false)
double | calcExactMW (const ROMol &mol, bool onlyHeavy=false)
std::string | calcMolFormula (const ROMol &mol, bool separateIsotopes=false, bool abbreviateHIsotopes=true)
double | getLabuteAtomContribs (const ROMol &mol, std::vector< double > &Vi, double &hContrib, bool includeHs=true, bool force=false)
| calculates atomic contributions to Labute's Approximate Surface Area More...
double | calcLabuteASA (const ROMol &mol, bool includeHs=true, bool force=false)
| calculates Labute's Approximate Surface Area (ASA from MOE) More...
double | getTPSAAtomContribs (const ROMol &mol, std::vector< double > &Vi, bool force=false)
| calculates atomic contributions to the TPSA value More...
double | calcTPSA (const ROMol &mol, bool force=false)
| calculates the TPSA value for a molecule More...
std::vector< double > | calcSlogP_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
std::vector< double > | calcSMR_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
std::vector< double > | calcPEOE_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
std::vector< unsigned int > | calcMQNs (const ROMol &mol, bool force=false)
| calculates MQN descriptors More...

## Variables

const std::string | chi0vVersion = "1.2.0"
const std::string | chi1vVersion = "1.2.0"
const std::string | chi2vVersion = "1.2.0"
const std::string | chi3vVersion = "1.2.0"
const std::string | chi4vVersion = "1.2.0"
const std::string | chiNvVersion = "1.2.0"
const std::string | chi0nVersion = "1.2.0"
const std::string | chi1nVersion = "1.2.0"
const std::string | chi2nVersion = "1.2.0"
const std::string | chi3nVersion = "1.2.0"
const std::string | chi4nVersion = "1.2.0"
const std::string | chiNnVersion = "1.2.0"
const std::string | hallKierAlphaVersion = "1.2.0"
const std::string | kappa1Version = "1.1.0"
const std::string | kappa2Version = "1.1.0"
const std::string | kappa3Version = "1.1.0"
const std::string | crippenVersion = "1.2.0"
const std::string | lipinskiHBAVersion = "1.0.0"
const std::string | lipinskiHBDVersion = "2.0.0"
const std::string | NumRotatableBondsVersion
const std::string | NumHBDVersion
const std::string | NumHBAVersion
const std::string | NumHeteroatomsVersion
const std::string | NumAmideBondsVersion
const std::string | FractionCSP3Version
const std::string | NumRingsVersion
const std::string | NumAromaticRingsVersion
const std::string | NumAliphaticRingsVersion
const std::string | NumSaturatedRingsVersion
const std::string | NumHeterocyclesVersion
const std::string | NumAromaticHeterocyclesVersion
const std::string | NumAromaticCarbocyclesVersion
const std::string | NumSaturatedHeterocyclesVersion
const std::string | NumSaturatedCarbocyclesVersion
const std::string | NumAliphaticHeterocyclesVersion
const std::string | NumAliphaticCarbocyclesVersion
const std::string | NumSpiroAtomsVersion
const std::string | NumBridgeheadAtomsVersion
const std::string | labuteASAVersion = "1.0.2"
const std::string | tpsaVersion = "1.1.0"
const std::string | MQNVersion = "1.0.0"

## Enumeration Type Documentation

## NumRotatableBondsOptions

enum RDKit::Descriptors::NumRotatableBondsOptions

Enumerator
Default |
NonStrict |
Strict |
StrictLinkages |

Definition at line 32 of file Lipinski.h.

## Function Documentation

## calcAMW()

double RDKit::Descriptors::calcAMW | ( | const ROMol & | mol,
|  | bool | onlyHeavy = `false`
| ) |  |

Calculates a molecule's average molecular weight

Parameters

  mol | the molecule of interest
  onlyHeavy | (optional) if this is true (the default is false), only heavy atoms will be included in the MW calculation

Returns
  the AMW

## calcChi0n()

double RDKit::Descriptors::calcChi0n | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

Similar to Hall Kier ChiXv, but uses nVal instead of valence This makes a big difference after we get out of the first row.

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi0v()

double RDKit::Descriptors::calcChi0v | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi1n()

double RDKit::Descriptors::calcChi1n | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

Similar to Hall Kier ChiXv, but uses nVal instead of valence This makes a big difference after we get out of the first row.

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi1v()

double RDKit::Descriptors::calcChi1v | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi2n()

double RDKit::Descriptors::calcChi2n | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

Similar to Hall Kier ChiXv, but uses nVal instead of valence This makes a big difference after we get out of the first row.

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi2v()

double RDKit::Descriptors::calcChi2v | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi3n()

double RDKit::Descriptors::calcChi3n | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

Similar to Hall Kier ChiXv, but uses nVal instead of valence This makes a big difference after we get out of the first row.

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi3v()

double RDKit::Descriptors::calcChi3v | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi4n()

double RDKit::Descriptors::calcChi4n | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

Similar to Hall Kier ChiXv, but uses nVal instead of valence This makes a big difference after we get out of the first row.

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChi4v()

double RDKit::Descriptors::calcChi4v | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest
  force | forces the value to be recalculated instead of pulled from the cache

## calcChiNn()

double RDKit::Descriptors::calcChiNn | ( | const ROMol & | mol,
|  | unsigned int | n,
|  | bool | force = `false`
| ) |  |

Similar to Hall Kier ChiXv, but uses nVal instead of valence This makes a big difference after we get out of the first row.

Parameters

  mol | the molecule of interest
  n | the order of the connectivity index
  force | forces the value to be recalculated instead of pulled from the cache

## calcChiNv()

double RDKit::Descriptors::calcChiNv | ( | const ROMol & | mol,
|  | unsigned int | n,
|  | bool | force = `false`
| ) |  |

From equations (5),(9) and (10) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest
  n | the order of the connectivity index
  force | forces the value to be recalculated instead of pulled from the cache

## calcCrippenDescriptors()

void RDKit::Descriptors::calcCrippenDescriptors | ( | const ROMol & | mol,
|  | double & | logp,
|  | double & | mr,
|  | bool | includeHs = `true`,
|  | bool | force = `false`
| ) |  |

generate Wildman-Crippen LogP and MR estimates for a molecule

Uses an atom-based scheme based on the values in the paper: S. A. Wildman and G. M. Crippen JCICS 39 868-873 (1999)

Parameters

  mol | the molecule of interest
  logp | used to return the logp estimate
  mr | used to return the MR estimate
  includeHs | (optional) if this is true (the default), a copy of `mol` is made and Hs are added to it. If false, Hs that are not explicitly present in the graph will not be included.
  force | forces the value to be recalculated instead of pulled from the cache

## calcExactMW()

double RDKit::Descriptors::calcExactMW | ( | const ROMol & | mol,
|  | bool | onlyHeavy = `false`
| ) |  |

Calculates a molecule's exact molecular weight

Parameters

  mol | the molecule of interest
  onlyHeavy | (optional) if this is true (the default is false), only heavy atoms will be included in the MW calculation

Returns
  the exact MW

## calcFractionCSP3()

double RDKit::Descriptors::calcFractionCSP3 | ( | const ROMol & | mol | ) |

calculates the fraction of carbons that are SP3 hybridized

## calcHallKierAlpha()

double RDKit::Descriptors::calcHallKierAlpha | ( | const ROMol & | mol,
|  | std::vector< double > * | atomContribs = `0`
| ) |  |

calculate the Hall-Kier alpha value for a molecule From equation (58) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest
  atomContribs | if provided, this will be used to return the contributions of the individual atoms to the value. These do not neccessarily sum to the full value. Note: this can be a time-consuming calculation.

## calcKappa1()

double RDKit::Descriptors::calcKappa1 | ( | const ROMol & | mol | ) |

calculate the Hall-Kier kappa1 value for a molecule From equations (58) and (59) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest

## calcKappa2()

double RDKit::Descriptors::calcKappa2 | ( | const ROMol & | mol | ) |

calculate the Hall-Kier kappa2 value for a molecule From equations (58) and (60) of Rev. Comp. Chem. vol 2, 367-422, (1991)

Parameters

  mol | the molecule of interest

## calcKappa3()

double RDKit::Descriptors::calcKappa3 | ( | const ROMol & | mol | ) |

calculate the Hall-Kier kappa3 value for a molecule From equations (58), (61) and (62) of Rev. Comp. Chem. vol 2, 367-422,

Parameters

  mol | the molecule of interest

## calcLabuteASA()

double RDKit::Descriptors::calcLabuteASA | ( | const ROMol & | mol,
|  | bool | includeHs = `true`,
|  | bool | force = `false`
| ) |  |

calculates Labute's Approximate Surface Area (ASA from MOE)

Definition from P. Labute's article in the Journal of the Chemical Computing Group and J. Mol. Graph. Mod. 18 464-477 (2000)

Parameters

  mol | the molecule of interest
  includeHs | (optional) if this is true (the default), the contribution of H atoms to the ASA will be included.
  force | (optional) calculate the value even if it's cached.

## calcLipinskiHBA()

unsigned int RDKit::Descriptors::calcLipinskiHBA | ( | const ROMol & | mol | ) |

calculates the standard Lipinski HBA definition (number of Ns and Os)

## calcLipinskiHBD()

unsigned int RDKit::Descriptors::calcLipinskiHBD | ( | const ROMol & | mol | ) |

calculates the standard Lipinski HBA definition (number of N-H and O-H

## calcMolFormula()

std::string RDKit::Descriptors::calcMolFormula | ( | const ROMol & | mol,
|  | bool | separateIsotopes = `false`,
|  | bool | abbreviateHIsotopes = `true`
| ) |  |

Calculates a molecule's formula

Parameters

  mol | the molecule of interest
  separateIsotopes | if true, isotopes will show up separately in the formula. So C[13CH2]O will give the formula: C[13C]H6O
  abbreviateHIsotopes | if true, 2H and 3H will be represented as D and T instead of [2H] and [3H]. This only applies if `separateIsotopes` is true

Returns
  the formula as a string

## calcMQNs()

std::vector<unsigned int> RDKit::Descriptors::calcMQNs | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

calculates MQN descriptors

Definition from Nguyen, K. T., Blum, L. C., Van Deursen, R. & Reymond, J.-L. "Classification of Organic Molecules by Molecular Quantum Numbers." ChemMedChem 4, 1803–1805 (2009).

Parameters

  mol | the molecule of interest
  force | (optional) calculate the values even if they are cached.

Returns
  a vector with the MQNs

## calcNumAliphaticCarbocycles()

unsigned int RDKit::Descriptors::calcNumAliphaticCarbocycles | ( | const ROMol & | mol | ) |

calculates the number of aliphatic (at least one non-aromatic bond) SSSR

## calcNumAliphaticHeterocycles()

unsigned int RDKit::Descriptors::calcNumAliphaticHeterocycles | ( | const ROMol & | mol | ) |

calculates the number of aliphatic (at least one non-aromatic bond) SSSR

## calcNumAliphaticRings()

unsigned int RDKit::Descriptors::calcNumAliphaticRings | ( | const ROMol & | mol | ) |

calculates the number of aliphatic (at least one non-aromatic bond) SSSR

## calcNumAmideBonds()

unsigned int RDKit::Descriptors::calcNumAmideBonds | ( | const ROMol & | mol | ) |

calculates the number of amide bonds

## calcNumAromaticCarbocycles()

unsigned int RDKit::Descriptors::calcNumAromaticCarbocycles | ( | const ROMol & | mol | ) |

calculates the number of aromatic SSSR carbocycles

## calcNumAromaticHeterocycles()

unsigned int RDKit::Descriptors::calcNumAromaticHeterocycles | ( | const ROMol & | mol | ) |

calculates the number of aromatic SSSR heterocycles

## calcNumAromaticRings()

unsigned int RDKit::Descriptors::calcNumAromaticRings | ( | const ROMol & | mol | ) |

calculates the number of aromatic SSSR rings

## calcNumBridgeheadAtoms()

unsigned int RDKit::Descriptors::calcNumBridgeheadAtoms | ( | const ROMol & | mol,
|  | std::vector< unsigned int > * | atoms = `NULL`
| ) |  |

calculates the number of bridgehead atoms (atoms shared between rings that

## calcNumHBA()

unsigned int RDKit::Descriptors::calcNumHBA | ( | const ROMol & | mol | ) |

calculates the number of H-bond acceptors

## calcNumHBD()

unsigned int RDKit::Descriptors::calcNumHBD | ( | const ROMol & | mol | ) |

calculates the number of H-bond donors

## calcNumHeteroatoms()

unsigned int RDKit::Descriptors::calcNumHeteroatoms | ( | const ROMol & | mol | ) |

calculates the number of heteroatoms

## calcNumHeterocycles()

unsigned int RDKit::Descriptors::calcNumHeterocycles | ( | const ROMol & | mol | ) |

calculates the number of SSSR heterocycles

## calcNumRings()

unsigned int RDKit::Descriptors::calcNumRings | ( | const ROMol & | mol | ) |

calculates the number of SSSR rings

## calcNumRotatableBonds() [1/2]

unsigned int RDKit::Descriptors::calcNumRotatableBonds | ( | const ROMol & | mol,
|  | NumRotatableBondsOptions | useStrictDefinition = `Default`
| ) |  |

calculates the number of rotatable bonds

Parameters

  mol | the molecule of interest
  strict | if Strict, a stricter definition of rotable bonds is used this excludes amides, esters, etc. if StrictLinkages, a much stricter definition that handles rotatable bonds between rings as well. if Default - uses the default choice (normally Strict)

## calcNumRotatableBonds() [2/2]

unsigned int RDKit::Descriptors::calcNumRotatableBonds | ( | const ROMol & | mol,
|  | bool | strict
| ) |  |

calculates the number of rotatable bonds ( backwards compatibility function, deprecated, please use calcNumRotatableBonds(const ROMol&, int)

Parameters

  mol | the molecule of interest
  strict | if Strict == true, uses NumRotatableBondsOptions::Strict

## calcNumSaturatedCarbocycles()

unsigned int RDKit::Descriptors::calcNumSaturatedCarbocycles | ( | const ROMol & | mol | ) |

calculates the number of saturated SSSR carbocycles

## calcNumSaturatedHeterocycles()

unsigned int RDKit::Descriptors::calcNumSaturatedHeterocycles | ( | const ROMol & | mol | ) |

calculates the number of saturated SSSR heterocycles

## calcNumSaturatedRings()

unsigned int RDKit::Descriptors::calcNumSaturatedRings | ( | const ROMol & | mol | ) |

calculates the number of saturated SSSR rings

## calcNumSpiroAtoms()

unsigned int RDKit::Descriptors::calcNumSpiroAtoms | ( | const ROMol & | mol,
|  | std::vector< unsigned int > * | atoms = `NULL`
| ) |  |

calculates the number of spiro atoms (atoms shared between rings that share

## calcPEOE_VSA()

std::vector<double> RDKit::Descriptors::calcPEOE_VSA | ( | const ROMol & | mol,
|  | std::vector< double > * | bins = `0`,
|  | bool | force = `false`
| ) |  |

## calcSlogP_VSA()

std::vector<double> RDKit::Descriptors::calcSlogP_VSA | ( | const ROMol & | mol,
|  | std::vector< double > * | bins = `0`,
|  | bool | force = `false`
| ) |  |

## calcSMR_VSA()

std::vector<double> RDKit::Descriptors::calcSMR_VSA | ( | const ROMol & | mol,
|  | std::vector< double > * | bins = `0`,
|  | bool | force = `false`
| ) |  |

## calcTPSA()

double RDKit::Descriptors::calcTPSA | ( | const ROMol & | mol,
|  | bool | force = `false`
| ) |  |

calculates the TPSA value for a molecule

The TPSA definition is from: P. Ertl, B. Rohde, P. Selzer Fast Calculation of Molecular Polar Surface Area as a Sum of Fragment-based Contributions and Its Application to the Prediction of Drug Transport Properties, J.Med.Chem. 43, 3714-3717, 2000

Parameters

  mol | the molecule of interest
  force | (optional) calculate the value even if it's cached.

## getCrippenAtomContribs()

void RDKit::Descriptors::getCrippenAtomContribs | ( | const ROMol & | mol,
|  | std::vector< double > & | logpContribs,
|  | std::vector< double > & | mrContribs,
|  | bool | force = `false`,
|  | std::vector< unsigned int > * | atomTypes = `0`,
|  | std::vector< std::string > * | atomTypeLabels = `0`
| ) |  |

generate atomic contributions to the Wildman-Crippen LogP and MR estimates for a molecule

Uses an atom-based scheme based on the values in the paper: S. A. Wildman and G. M. Crippen JCICS 39 868-873 (1999)

Parameters

  mol | the molecule of interest
  logpContribs | used to return the logp contributions, must be equal in length to the number of atoms
  mrContribs | used to return the MR contributions, must be equal in length to the number of atoms
  force | forces the value to be recalculated instead of pulled from the cache
  atomTypes | if provided will be used to return the indices of the atom types, should be as long as the number of atoms
  atomTypeLabels | if provided will be used to return the labels of the atom types, should be as long as the number of atoms

## getLabuteAtomContribs()

double RDKit::Descriptors::getLabuteAtomContribs | ( | const ROMol & | mol,
|  | std::vector< double > & | Vi,
|  | double & | hContrib,
|  | bool | includeHs = `true`,
|  | bool | force = `false`
| ) |  |

calculates atomic contributions to Labute's Approximate Surface Area

Definition from P. Labute's article in the Journal of the Chemical Computing Group and J. Mol. Graph. Mod. 18 464-477 (2000)

Parameters

  mol | the molecule of interest
  Vi | used to return the explict atom contribs
  hContrib | used to return the H contributions (if calculated)
  includeHs | (optional) if this is true (the default), the contribution of H atoms to the ASA will be included.
  force | (optional) calculate the values even if they are cached.

Returns
  the sum of the atomic contributions

## getTPSAAtomContribs()

double RDKit::Descriptors::getTPSAAtomContribs | ( | const ROMol & | mol,
|  | std::vector< double > & | Vi,
|  | bool | force = `false`
| ) |  |

calculates atomic contributions to the TPSA value

The TPSA definition is from: P. Ertl, B. Rohde, P. Selzer Fast Calculation of Molecular Polar Surface Area as a Sum of Fragment-based Contributions and Its Application to the Prediction of Drug Transport Properties, J.Med.Chem. 43, 3714-3717, 2000

Parameters

  mol | the molecule of interest
  Vi | used to return the atom contribs
  force | (optional) calculate the values even if they are cached.

Returns
  the sum of the atomic contributions

## Variable Documentation

## chi0nVersion

const std::string RDKit::Descriptors::chi0nVersion = "1.2.0"

Definition at line 85 of file ConnectivityDescriptors.h.

## chi0vVersion

const std::string RDKit::Descriptors::chi0vVersion = "1.2.0"

Definition at line 34 of file ConnectivityDescriptors.h.

## chi1nVersion

const std::string RDKit::Descriptors::chi1nVersion = "1.2.0"

Definition at line 94 of file ConnectivityDescriptors.h.

## chi1vVersion

const std::string RDKit::Descriptors::chi1vVersion = "1.2.0"

Definition at line 42 of file ConnectivityDescriptors.h.

## chi2nVersion

const std::string RDKit::Descriptors::chi2nVersion = "1.2.0"

Definition at line 103 of file ConnectivityDescriptors.h.

## chi2vVersion

const std::string RDKit::Descriptors::chi2vVersion = "1.2.0"

Definition at line 50 of file ConnectivityDescriptors.h.

## chi3nVersion

const std::string RDKit::Descriptors::chi3nVersion = "1.2.0"

Definition at line 112 of file ConnectivityDescriptors.h.

## chi3vVersion

const std::string RDKit::Descriptors::chi3vVersion = "1.2.0"

Definition at line 58 of file ConnectivityDescriptors.h.

## chi4nVersion

const std::string RDKit::Descriptors::chi4nVersion = "1.2.0"

Definition at line 121 of file ConnectivityDescriptors.h.

## chi4vVersion

const std::string RDKit::Descriptors::chi4vVersion = "1.2.0"

Definition at line 66 of file ConnectivityDescriptors.h.

## chiNnVersion

const std::string RDKit::Descriptors::chiNnVersion = "1.2.0"

Definition at line 131 of file ConnectivityDescriptors.h.

## chiNvVersion

const std::string RDKit::Descriptors::chiNvVersion = "1.2.0"

Definition at line 75 of file ConnectivityDescriptors.h.

## crippenVersion

const std::string RDKit::Descriptors::crippenVersion = "1.2.0"

Definition at line 26 of file Crippen.h.

## FractionCSP3Version

const std::string RDKit::Descriptors::FractionCSP3Version

## hallKierAlphaVersion

const std::string RDKit::Descriptors::hallKierAlphaVersion = "1.2.0"

Definition at line 145 of file ConnectivityDescriptors.h.

## kappa1Version

const std::string RDKit::Descriptors::kappa1Version = "1.1.0"

Definition at line 153 of file ConnectivityDescriptors.h.

## kappa2Version

const std::string RDKit::Descriptors::kappa2Version = "1.1.0"

Definition at line 161 of file ConnectivityDescriptors.h.

## kappa3Version

const std::string RDKit::Descriptors::kappa3Version = "1.1.0"

Definition at line 170 of file ConnectivityDescriptors.h.

## labuteASAVersion

const std::string RDKit::Descriptors::labuteASAVersion = "1.0.2"

Definition at line 24 of file MolSurf.h.

## lipinskiHBAVersion

const std::string RDKit::Descriptors::lipinskiHBAVersion = "1.0.0"

Definition at line 23 of file Lipinski.h.

## lipinskiHBDVersion

const std::string RDKit::Descriptors::lipinskiHBDVersion = "2.0.0"

Definition at line 27 of file Lipinski.h.

## MQNVersion

const std::string RDKit::Descriptors::MQNVersion = "1.0.0"

Definition at line 24 of file MQN.h.

## NumAliphaticCarbocyclesVersion

const std::string RDKit::Descriptors::NumAliphaticCarbocyclesVersion

## NumAliphaticHeterocyclesVersion

const std::string RDKit::Descriptors::NumAliphaticHeterocyclesVersion

## NumAliphaticRingsVersion

const std::string RDKit::Descriptors::NumAliphaticRingsVersion

## NumAmideBondsVersion

const std::string RDKit::Descriptors::NumAmideBondsVersion

## NumAromaticCarbocyclesVersion

const std::string RDKit::Descriptors::NumAromaticCarbocyclesVersion

## NumAromaticHeterocyclesVersion

const std::string RDKit::Descriptors::NumAromaticHeterocyclesVersion

## NumAromaticRingsVersion

const std::string RDKit::Descriptors::NumAromaticRingsVersion

## NumBridgeheadAtomsVersion

const std::string RDKit::Descriptors::NumBridgeheadAtomsVersion

## NumHBAVersion

const std::string RDKit::Descriptors::NumHBAVersion

## NumHBDVersion

const std::string RDKit::Descriptors::NumHBDVersion

## NumHeteroatomsVersion

const std::string RDKit::Descriptors::NumHeteroatomsVersion

## NumHeterocyclesVersion

const std::string RDKit::Descriptors::NumHeterocyclesVersion

## NumRingsVersion

const std::string RDKit::Descriptors::NumRingsVersion

## NumRotatableBondsVersion

const std::string RDKit::Descriptors::NumRotatableBondsVersion

## NumSaturatedCarbocyclesVersion

const std::string RDKit::Descriptors::NumSaturatedCarbocyclesVersion

## NumSaturatedHeterocyclesVersion

const std::string RDKit::Descriptors::NumSaturatedHeterocyclesVersion

## NumSaturatedRingsVersion

const std::string RDKit::Descriptors::NumSaturatedRingsVersion

## NumSpiroAtomsVersion

const std::string RDKit::Descriptors::NumSpiroAtomsVersion

## tpsaVersion

const std::string RDKit::Descriptors::tpsaVersion = "1.1.0"

Definition at line 61 of file MolSurf.h.